{% extends 'nav.html' %}
<!-- {% load static %} -->
{% block content %}
    <h1 class="title">ACTIVITIES</h1>

    <form action="" method="POST">
        {% csrf_token %}
        <div class="wrapper2">
            {% for act, parts in data.items %}
            <div class="act_block">
                <div class="act">
                    {{act}}
                </div>
                {% for part in parts %}
                <div class="part">
                    <div class="">{{part}}</div>
                    <button class="btn-danger" formaction="{% url 'activities' act part %}">X</button>
                </div>
                {% endfor %}
                <button class="btn btn-warning act_button mt-2" type="submit" formaction="{% url 'partform' act %}">Add Participant</button>    
            </div>
            {% endfor %}
        </div>

        <div class="wrapper2" style="margin-top:1rem">
            <button class="btn btn-primary" type="submit" formaction="{% url 'actform' %}">Add Activity</button>
        </div>
    </form>
{% endblock %}